Bug 1824792 (CVE-2020-11668) - CVE-2020-11668 kernel: mishandles invalid descriptors in drivers/media/usb/gspca/xirlink_cit.c
Summary: CVE-2020-11668 kernel: mishandles invalid descriptors in drivers/media/usb/gs...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11668
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1824793 1825410 1826877 1826878 1826879 1826880 1826881
Blocks: 1824795
TreeView+ depends on / blocked
 
Reported: 2020-04-16 13:01 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-07-26 16:58 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the Xirlink camera USB driver 'xirlink-cit' in the Linux kernel. The driver mishandles invalid descriptors leading to a denial-of-service (DoS). This could allow a local attacker with user privilege to crash the system or leak kernel internal information.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:24:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:2897 0 None None None 2021-07-26 16:58:55 UTC
Red Hat Product Errata RHSA-2020:4431 0 None None None 2020-11-04 00:50:54 UTC
Red Hat Product Errata RHSA-2020:4609 0 None None None 2020-11-04 02:23:12 UTC
Red Hat Product Errata RHSA-2021:2725 0 None None None 2021-07-21 01:07:43 UTC
Red Hat Product Errata RHSA-2021:2726 0 None None None 2021-07-21 01:08:06 UTC

Description Guilherme de Almeida Suckevicz 2020-04-16 13:01:40 UTC
A NULL pointer dereference flaw was found in the Xirlink camera USB driver 'xirlink-cit' in the Linux kernel. The driver mishandles invalid descriptors leading to a denial-of-service (DoS). This could allow a local attacker with user privilege to crash the system or leak kernel internal information.

Reference:
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.6.1

Upstream commit:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a246b4d547708f33ff4d4b9a7a5dbac741dc89d8

Comment 1 Guilherme de Almeida Suckevicz 2020-04-16 13:04:13 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1824793]

Comment 2 Justin M. Forbes 2020-04-16 13:35:55 UTC
This was fixed for Fedora with the 5.5.14 stable kernel updates.

Comment 11 Rohit Keshri 2020-04-27 17:01:11 UTC
Mitigation:

Mitigation for this issue is to skip loading the affected module 'xirlink-cit' onto the system till we have a fix available, this can be done by a blacklist mechanism, this will ensure the driver is not loaded at the boot time.
~~~
How do I blacklist a kernel module to prevent it from loading automatically?
https://access.redhat.com/solutions/41278 
~~~

Comment 12 errata-xmlrpc 2020-11-04 00:50:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4431 https://access.redhat.com/errata/RHSA-2020:4431

Comment 13 errata-xmlrpc 2020-11-04 02:23:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4609 https://access.redhat.com/errata/RHSA-2020:4609

Comment 14 Product Security DevOps Team 2020-11-04 02:24:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11668

Comment 15 errata-xmlrpc 2021-07-21 01:07:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:2725 https://access.redhat.com/errata/RHSA-2021:2725

Comment 16 errata-xmlrpc 2021-07-21 01:08:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:2726 https://access.redhat.com/errata/RHSA-2021:2726


Note You need to log in before you can comment on or make changes to this bug.